# Uses of Interface
org.eclipse.compare.structuremergeviewer.IStructureCreator

Packages that use IStructureCreator
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.

## Uses of IStructureCreator in org.eclipse.compare

Classes in org.eclipse.compare that implement IStructureCreator
Modifier and Type
Class
Description
`class`
`ZipFileStructureCreator`
This implementation of the `IStructureCreator` interface makes the contents of a zip archive available as a hierarchical structure of `IStructureComparator`s.
Methods in org.eclipse.compare that return IStructureCreator
Modifier and Type
Method
Description
`static IStructureCreator`
CompareUI.`createStructureCreator(ITypedElement element)`
Create and return a structure creator for the given typed element.

## Uses of IStructureCreator in org.eclipse.compare.structuremergeviewer

Subinterfaces of IStructureCreator in org.eclipse.compare.structuremergeviewer
Modifier and Type
Interface
Description
`interface`
`IStructureCreator2`
An extension to the `IStructureCreator` interface that supports the use of shared documents.
Classes in org.eclipse.compare.structuremergeviewer that implement IStructureCreator
Modifier and Type
Class
Description
`class`
`StructureCreator`
An `IStructureCreator2` that attempts to use an `IDocumentProvider` to obtain a shared document for an `ITypedElement`.
Methods in org.eclipse.compare.structuremergeviewer that return IStructureCreator
Modifier and Type
Method
Description
`IStructureCreator`
StructureDiffViewer.`getStructureCreator()`
Returns the structure creator or `null` if no structure creator has been set with `setStructureCreator`.
Methods in org.eclipse.compare.structuremergeviewer with parameters of type IStructureCreator
Modifier and Type
Method
Description
`void`
StructureDiffViewer.`setStructureCreator(IStructureCreator structureCreator)`
Configures the `StructureDiffViewer` with a structure creator.